
using Xunit;
using Amazon.Lambda.TestUtilities;

using LambdaPersonToUpper;

namespace LambdaPersonToUpper.Tests
{
    public class FunctionTest
    {
        [Fact]
        public void TestToUpperFunction()
        {
            var function = new Function();
            var context = new TestLambdaContext();
            Person personIn = new Person() { FirstName = "alan", LastName = "adams" };

            Person personOut = function.FunctionHandler(personIn, context);

            Assert.Equal("ALAN", personOut.FirstName);
            Assert.Equal("ADAMS", personOut.LastName);
        }
    }
}
